import Crypto from '@/static/common/js/upload/crypto.js';
import '@/static/common/js/upload/hmac.js';
import '@/static/common/js/upload/sha1.js';
import {
	Base64
} from '@/static/common/js/upload/base64.js';

let date = new Date()
date = date.setHours(date.getHours() + 1)
let extime = "" + new Date(date).toISOString()
var policyText = {
	"expiration": extime, //设置该Policy的失效时间，超过这个失效时间之后，就没有办法通过这个policy上传文件了
	"conditions": [
		["content-length-range", 0, 1024 * 1024 * 100] // 设置上传文件的大小限制 
	]
};
var config = {
	accessid: 'LTAI4GE4XkoX1fnGn9FivQw6',
	accesskey: 'Ged6cFtPAGXSXHucfV4MUiZUJdXHxA',
	osshost: 'https://pandapf-mina.oss-cn-hangzhou.aliyuncs.com',
	policyBase64: Base64.encode(JSON.stringify(policyText))
}
var message = config.policyBase64;
var bytes = Crypto.HMAC(Crypto.SHA1, message, config.accesskey, {
	asBytes: true
});
var signature = Crypto.util.bytesToBase64(bytes);
var timetamp = new Date().getTime();

function random_string(len) {
	len = len || 32;
	var chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';
	var maxPos = chars.length;
	var pwd = '';
	for (let i = 0; i < len; i++) {
		pwd += chars.charAt(Math.floor(Math.random() * maxPos));
	}
	return pwd;
}
var OSS = {
	name: 'aliyun',
	host: config.osshost,
	accessid: config.accessid,
	signature: signature,
	policyBase64: config.policyBase64,
}
export default OSS;
